Subject: wrap tests in parens?

From: Tim Showalter <[email-masked]>
Date: 18 Nov 1998 16:54:38 -0500

Rob Earhart pointed out an ambiguity in the grammar.  Tests need to be
wrapped in parens, otherwise you can't tell where the end of a test is.

For instance, if foo is a test that takes a test as an argument,

	if foo bar "one" { ... }

you can't tell whether "one" is foo's argument or bar's argument.

This isn't fixed in draft 05.

I think it's likely that I'll have (hopefully) yet another revision with
lots of little things fixed, and hopefully we can fix this then.

Tim

-- 
Tim Showalter <[email-masked]>